Rwanda RAMS - Task #57
Task # 46 (New): [TMS] Reports development

[TMS] Reports > Traffic Projection
02/04/2024 03:47 PM - Kalyan Battula

Status: Ready for Prod Start date: 02/04/2024
Priority: High Due date:

Assignee: Kalyan Battula % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 1.0.0.0_QA Spent time: 0:00 hour
Deployed In: Category:

Description

Province, district, roads, stations dropdowns to be dependent in the same order
sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown

we need a dropdown for report type - Road wise or District-wise
"based on the selection the report format will change as below
if District-wise then report will be as existing and if road-wise then show in one single page order by total ADT descending”

generate report based on the filter selected
data not showing, check the report output

History

#1 - 03/04/2024 11:07 PM - Bhanuchander Sannidhanam

Kalyan Battula wrote:

Province, district, roads, stations dropdowns to be dependent in the same order
sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown

we need a dropdown for report type - Road wise or District-wise

"based on the selection the report format will change as below

if District-wise then report will be as existing and if road-wise then show in one single page order by total ADT descending”
generate report based on the filter selected

data not showing, check the report output

Kalyan Battula wrote:

Province, district, roads, stations dropdowns to be dependent in the same order
sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown

we need a dropdown for report type - Road wise or District-wise

"based on the selection the report format will change as below

if District-wise then report will be as existing and if road-wise then show in one single page order by total ADT descending”
generate report based on the filter selected

data not showing, check the report output

Province, district, roads, stations dropdowns to be dependent in the same order

sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown --- Resolved

we need a dropdown for report type - Road wise or District-wise -- Added

#2 - 25/04/2024 01:02 AM - Narayana Akkipalli

Kalyan Battula wrote:

Province, district, roads, stations dropdowns to be dependent in the same order
sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown
we need a dropdown for report type - Road wise or District-wise
"based on the selection the report format will change as below

if District-wise then report will be as existing and if road-wise then show in one single page order by total ADT descending”
report type - Road wise or District-wise removed as per rquirement

generate report based on the filter selected
data not showing, check the report output

#3 - 25/04/2024 01:02 AM - Narayana Akkipalli
- Status changed from New to Ready for Prod

- Assignee changed from Harinath Vajrala to Kalyan Battula
